Skip to content

Create/Update/Cancel Orders

Request

Webhook for creating/updating and cancelling transport orders.

This is the fully asynchronous version of the order upload api. The documented schema is our default input format, but we can also map custom formats.

Note that this webhook uses Basic Auth instead of the OAuth credentials used for the api. Please contact integrations@qargo.com to request credentials.

Security
BasicAuthWebhookCredentials
Bodyapplication/jsonrequired
Any of:
transport_serviceEntity (object) or null(Transport service)
Any of:

Transport service within Qargo

customer_reference_numberstring or null(Order reference number from customer)
Any of:
string
service_levelServiceLevel (object) or null
Any of:
planning_instructionsstring or null(Planning Instructions)
Any of:

Additional freeform instructions for the planner.

string
departmentDepartment (object) or null
Any of:

Department linked to order

neutral_order_typestring or null(Neutral Order Type)
Any of:

Neutral order

string
Enum:"NO_NEUTRAL_ORDER""MASK_DELIVERY""MASK_PICKUP"
containerContainerExtraFields (object) or null
Any of:
custom_fieldsobject or null(Custom Fields)
Any of:

User defined additional fields for this order.

object
vehicle_categoryVehicleCategory (object) or null(Vehicle category)
Any of:
palletforcePalletforceExtraFields (object) or null(Palletforce specific fields)
Any of:
kuehne_nagelKuehneNagelExtraFields (object) or null(Kuehn Nagel specific fields)
Any of:
palletlinePalletlineExtraFields (object) or null(Palletline specific fields)
Any of:
transporeonTransporeonOrderExtraFields (object) or null(Transporeon specific fields)
Any of:
dachserDachserExtraFields (object) or null(Dachser specific fields)
Any of:
contact_emailsArray of strings or null(Contact Emails)
Any of:

List of contact emails to notify about the order

Array of strings
import_exportImportExportExtraFields (object) or null(Fields specific to import and export)
Any of:
is_consignment_info_validatedboolean or null(Is Consignment Info Validated)
Any of:

Flag indicating all consignment information is validated. Customers can only set this to true; only planners (or API/internal callers) can revert it.

boolean
operationstring(OperationEnum)required
Enum:"CREATE""UPDATE""DELETE"
order_identifierstring(Order Identifier)required

Identifier of the order when created from an external source

import_configurationImportConfiguration (object) or null
Any of:

Additional import configuration

consignmentsArray of objects(Consignments)required
customerobject(Customer)required
transport_networkEntity (object) or null(Transport network)
Any of:

Transport network within Qargo (Depot)

pricingOrderPricingInput (object) or null
Any of:

Pricing fields related to order

input_sourcestring or null(Input Source)
Any of:

Source of this order input

string
raw_inputRawInput (object) or null
Any of:

Original input document, for debugging purposes

order_statusstring(OrderStatus)

Status of the order

Default:"TO_PLAN"
Enum:"QUOTE""TO_PLAN"
setup_stopsArray of objects or null(Setup Stops)
Any of:

List of stops for a container export scenario

teardown_stopsArray of objects or null(Teardown Stops)
Any of:

List of stops for a container import scenario

container_load_unload_stopStopInput (object) or null(Container load/unload stop)
Any of:

This field practically maps to the container yard. setup_stops (for pick-up) and teardown_stops (for drop-off) are replacing this field, please use them instead.

POST
/v1/webhook
{ "transport_service": { "name": "string", "code": "string" }, "customer_reference_number": "string", "service_level": { "name": "string", "code": "string", "custom_fields": {} }, "planning_instructions": "string", "department": { "name": "string", "code": "string" }, "neutral_order_type": "NO_NEUTRAL_ORDER", "container": { "seal_number": "string", "port_of_loading": "string", "port_of_unloading": "string", "origin_of_goods": "string", "unique_consignment_number": "string", "ocean_liner_name": "string", "ocean_liner_scac": "string", "pin_code": "string", "ship_name": "string", "closing_date": "2019-08-24T14:15:22Z", "tare_weight": 0, "container_number": "string", "container_type": {}, "container_scenario": "IMPORT", "secure_release": true }, "custom_fields": {}, "vehicle_category": { "name": "string", "code": "string", "custom_fields": {} }, "palletforce": { "ni_company_name": "string", "ni_description": "string", "ni_gbeori": "string", "ni_tss_job_reference": "string", "ni_tss_registration": "string" }, "kuehne_nagel": { "sender_depot_code": "string", "receiver_depot_code": "string" }, "palletline": { "terms_of_carriage": "1300" }, "transporeon": { "transport_id": "string", "transport_number": "string" }, "dachser": { "consolidator_reference_number": "string" }, "contact_emails": [ "string" ], "import_export": { "incoterm": "EXW", "destination_country_of_goods": "BE", "origin_country_of_goods": "BE" }, "is_consignment_info_validated": true, "operation": "CREATE", "order_identifier": "string", "import_configuration": { "code": "API" }, "consignments": [ {} ], "customer": { "name": "string", "code": "string" }, "transport_network": { "name": "string", "code": "string" }, "pricing": { "requested_price": "string" }, "input_source": "string", "raw_input": { "content": "base64 encoded raw data", "mime_type": "mime type of content", "filename": "Filename of content" }, "order_status": "QUOTE", "setup_stops": [ {} ], "teardown_stops": [ {} ], "container_load_unload_stop": { "activity_label": "string", "note": "string", "reference_number": "string", "email": "string", "phone_number": "string", "mobile_number": "string", "time_window": {}, "planning_instructions": "string", "extras": [], "custom_fields": {}, "date": "2024-12-31", "custom_activity_label": "string", "duration": 0, "location": {}, "drop_collect_empty": {} } }

Responses

Successful Response

Bodyapplication/json
Any of:

Response schema for the order import webhook. This schema is used to return errors or success messages.

errorsArray of objects or null(Errors)
Any of:

List of errors that occurred during the webhook processing. If empty/omitted, the webhook was processed successfully.

Response
{ "errors": { "error_message": "The payload is invalid.", "error_type": "USER_INPUT_ERROR" } }